<?php

    $heading = $Lang->get('Listing tweets');

    $form_button = null;

    if($details['settingTwitterID'] && $details['settingTwitterID']!='') {
        $form_button = [
                'action' => $Form->action(),
                'button' => $Form->hidden('settingTwitterID', $details['settingTwitterID']).$Form->submit('btnSubmit', 'Get tweets', 'button button-icon icon-left', true, true, PerchUI::icon('ext/o-cloud-download', 14))
            ];
    }

    echo $HTML->title_panel([
        'heading' => $heading,
        'form' => $form_button,
    ]);

 
    if ($message) {
        echo $message;
        $message = '';  
    } 






    /* ----------------------------------------- SMART BAR ----------------------------------------- */
    if (PerchUtil::count($posts)) {

        $Smartbar = new PerchSmartbar($CurrentUser, $HTML, $Lang);

        $Smartbar->add_item([
                'active' => $filter=='all',
                'title'  => 'All',
                'link'   => $API->app_nav(),
            ]);

        $Smartbar->add_item([
                'active' => $filter=='type'&&$type=='mine',
                'title'  => 'Mine',
                'link'   => $API->app_nav().'?type=mine',
                'icon'   => 'core/user',
            ]);

        $Smartbar->add_item([
                'active' => $filter=='type'&&$type=='favorites',
                'title'  => 'Favorites',
                'link'   => $API->app_nav().'?type=favorites',
                'icon'   => 'ext/o-heart',
            ]);

        echo $Smartbar->render();

        }

        $Listing = new PerchAdminListing($CurrentUser, $HTML, $Lang, $Paging);

        $Listing->add_col([
            'title'     => 'Date',
            'value'     => 'tweetDate',
            'sort'      => 'tweetDate',
            'format'    => ['type'=>'date', 'format'=>str_replace(' ', '&nbsp;', PERCH_DATE_SHORT.' '.PERCH_TIME_SHORT)],
        ]);

        

        $Listing->add_col([
            'title'     => 'Tweet',
            'value'     => 'tweetText',
            'sort'      => 'tweetText',
        ]);

        $Listing->add_col([
            'title'     => 'Avatar',
            'value'     => function($item) use ($HTML) {
                return $HTML->build('img[src='.$item->tweetUserAvatar().'].avatar');
            },
            'sort'      => 'tweetUser',
        ]);

        $Listing->add_col([
            'title'     => 'User',
            'value'     => 'tweetUser',
            'sort'      => 'tweetUser',
        ]);

        

        $Listing->add_col([
            'title'     => 'Account',
            'value'     => 'tweetAccount',
            'sort'      => 'tweetAccount',
        ]);

        $Listing->add_col([
            'title'     => 'Type',
            'value'     => function($item) use($HTML, $Lang) {
                switch ($item->tweetType()) {
                    case 'mine':
                        return PerchUI::icon('core/user', 16, $Lang->get('Mine'));
                        break;

                    case 'favorites':
                        return PerchUI::icon('ext/o-heart', 16, $Lang->get('Favorite'));
                        break;
                }
            },
            'sort'      => 'tweetType',
        ]);

        echo $Listing->render($posts);

