<?php 
    
    if ($Tweet) {
        $heading = $Lang->get('Editing a scheduled tweet');
    }else{
        $heading = $Lang->get('Adding a new scheduled tweet');         
    }


    echo $HTML->title_panel([
            'heading' => $heading,
        ]);
        

    // If a success or failure message has been set, output that here
    echo $message;

    $state = 'unsent';

    if (is_object($Tweet))  {
        if ($Tweet->tweetSent() == '1') {
            $state = 'sent';
        }
    }


    $Smartbar = new PerchSmartbar($CurrentUser, $HTML, $Lang);

    $Smartbar->add_item([
        'title' => 'Scheduled',
        'link'  => $API->app_nav().'/scheduled/?filter=unsent',
        'active' => ($state=='unsent'),
        'icon'  => 'ext/o-alarm',
        ]);

    $Smartbar->add_item([
        'title' => 'Sent',
        'link'  => $API->app_nav().'/scheduled/?filter=sent',
        'active' => ($state=='sent'),
        'icon'  => 'core/inbox-upload',
        ]);

    echo $Smartbar->render();


    // Sub head
    echo $HTML->heading2('Details');

    // Output the edit form
    echo $Form->form_start();

    $details = array();
    if (is_object($Tweet)) $details = $Tweet->to_array();
    
    //echo $Form->textarea_field('tweetStatus', 'Tweet', (isset($details['tweetStatus']) ? $details['tweetStatus'] : ''), 's');

        $id         = 'tweetStatus';
        $label      = 'Tweet';
        $value      = (isset($details['tweetStatus']) ? $details['tweetStatus'] : '');
        $class      = 'input-simple m ';
        $$data_atrs = '';

        
        $out = $Form->field_start($id, 'annotated');
        $out .= $Form->label($id, $Lang->get($label), '', $colon=false, $translate=false);
        $out .= '<div class="form-entry">';
        $out .= $Form->textarea($id, $Form->get_value($id, $value), $class, $data_atrs);
        $out .= '<div class="field-annotations ">';
        $out .= '<div class="char-limit-count" aria-live="polite">';
        $out .= PerchUI::icon('core/o-typewriter', 10). ' <span id="tweetStatus__count">-</span>';
        $out .= '</div>';
        $out .= '</div>';
        $out .= '</div>';
        $out .= $Form->field_end($id);

    echo $out;



    echo $Form->date_field('tweetSendDate', 'Send on', (isset($details['tweetSendDate']) ? $details['tweetSendDate'] : ''), true);


    if (is_object($Tweet) && $Tweet->tweetSent()=='1') {
        echo $Form->hint('Will cause the tweet to be resent');
        echo $Form->checkbox_field('mark_as_unsent', 'Mark as unsent', '1');
    }

    if (is_object($Tweet) && $Tweet->tweetSent()=='-1') {
        echo $Form->hint('Will cause the failed tweet to be reattempted');
        echo $Form->checkbox_field('mark_as_unsent', 'Try sending again', '1');
    }


    echo $Form->submit_field();
    echo $Form->form_end();


    ?>
    <script>




    $(function(){

            function debounce(func, wait, immediate) {
                var timeout;
                return function() {
                    var context = this, args = arguments;
                    var later = function() {
                        timeout = null;
                        if (!immediate) func.apply(context, args);
                    };
                    var callNow = immediate && !timeout;
                    clearTimeout(timeout);
                    timeout = setTimeout(later, wait);
                    if (callNow) func.apply(context, args);
                };
            };

            var counters = function() {
                var inputs = $('#tweetStatus');
                inputs.on('keyup', debounce(function(){countCharacters(this);}, 250));
                inputs.each(function(i, o){
                    countCharacters(o);
                });
            };

            var countCharacters = function(el) {
                var self = $(el);
                var cont = $('#tweetStatus__count');
                var val  = self.val();
                if (val) {
                    $.getJSON(Perch.path+'/addons/apps/perch_twitter/async/tweet-length/', {
                        tweet: val
                    }, function(r){
                        cont.html(r.remaining);
                    });
                }
            };

            

            counters();

    });

    </script>