<?php

    echo $HTML->title_panel([
            'heading' => $Lang->get('Scheduled Tweets'),
            'button'  => [
                'text' => $Lang->get('Add tweet'),
                'link'  => $API->app_nav().'/scheduled/edit/',
                'icon'  => 'core/plus',
            ]
        ]);


    $Smartbar = new PerchSmartbar($CurrentUser, $HTML, $Lang);

    $Smartbar->add_item([
        'title' => 'Scheduled',
        'link'  => $API->app_nav().'/scheduled/?filter=unsent',
        'active' => ($state=='unsent'),
        'icon'  => 'ext/o-alarm',
        ]);

    $Smartbar->add_item([
        'title' => 'Sent',
        'link'  => $API->app_nav().'/scheduled/?filter=sent',
        'active' => ($state=='sent'),
        'icon'  => 'core/inbox-upload',
        ]);

    echo $Smartbar->render();


    $Listing = new PerchAdminListing($CurrentUser, $HTML, $Lang, $Paging);

        $Listing->add_col([
            'title'     => 'Date',
            'value'     => 'tweetSendDate',
            'sort'      => 'tweetSendDate',
            'format'    => ['type'=>'date', 'format' => str_replace(' ', '&nbsp;', PERCH_DATE_SHORT.' '.PERCH_TIME_SHORT)],
            'edit_link' => 'edit',
            'priv'      => 'perch_twitter.schedule',
        ]);

        $Listing->add_col([
            'title'     => 'Tweet',
            'sort'      => 'tweetStatus',
            'value'     => function($item) use ($HTML, $Lang){

                $s = '';
                if ($item->tweetSent() == -1) {
                    $s .= PerchUI::icon('core/alert', 14, 'Failed', 'icon-status-warning');
                }
                $s .= $HTML->encode($item->tweetStatus());
                return $s;
            },
        ]);

        $Listing->add_delete_action([
            'priv'   => 'perch_twitter.schedule',
            'inline' => true,
            'path'   => 'delete',
        ]);
        

        echo $Listing->render($tweets);
    