<?php

/**
 * @author     Nick Pope <nick@nickpope.me.uk>
 * @author     Takashi Nojima <nojimage at gmail.com>
 * @copyright  Copyright 2010, Nick Pope, Takashi Nojima
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License v2.0
 * @package    Twitter
 */
use Twitter\Text\HitHighlighter;

/**
 * * Twitter HitHighlighter Class
 *
 * Performs "hit highlighting" on tweets that have been auto-linked already.
 * Useful with the results returned from the search API.
 *
 * Originally written by {@link http://github.com/mikenz Mike Cochrane}, this
 * is based on code by {@link http://github.com/mzsanford Matt Sanford} and
 * heavily modified by {@link http://github.com/ngnpope Nick Pope} and
 * {@link http://github.com/nojimage Takashi Nojima}.
 *
 * @author     Nick Pope <nick@nickpope.me.uk>
 * @author     Takashi Nojima <nojimage at gmail.com>
 * @copyright  Copyright 2010, Nick Pope, Takashi Nojima
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License v2.0
 * @package    Twitter
 * @deprecated since version 1.9.0
 */
class Twitter_HitHighlighter extends HitHighlighter
{
    // alias only
}
